Index: tests/regression/Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at
===================================================================
--- tests/regression/Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at	(revision cb523179ccdb9c245b65875c4a2b678c4ea59c1e)
@@ -20,5 +20,4 @@
 AT_SETUP([Geometry - distance to vector])
 AT_KEYWORDS([geometry distance-to-vector])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -32,5 +31,4 @@
 AT_SETUP([Geometry - distance to vector Undo])
 AT_KEYWORDS([geometry distance-to-vector undo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -43,5 +41,4 @@
 AT_SETUP([Geometry - distance to vector Redo])
 AT_KEYWORDS([geometry distance-to-vector undo redo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/pre/$file $file], 0, [ignore], [ignore])
Index: tests/regression/Geometry/InputToVector/testsuite-geometry-input-to-vector.at
===================================================================
--- tests/regression/Geometry/InputToVector/testsuite-geometry-input-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/InputToVector/testsuite-geometry-input-to-vector.at	(revision cb523179ccdb9c245b65875c4a2b678c4ea59c1e)
@@ -20,5 +20,4 @@
 AT_SETUP([Geometry - input to vector])
 AT_KEYWORDS([geometry input-to-vector])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -32,5 +31,4 @@
 AT_SETUP([Geometry - input to vector Undo])
 AT_KEYWORDS([geometry input-to-vector undo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -43,5 +41,4 @@
 AT_SETUP([Geometry - input to vector Redo])
 AT_KEYWORDS([geometry input-to-vector undo redo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/pre/$file $file], 0, [ignore], [ignore])
Index: tests/regression/Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at
===================================================================
--- tests/regression/Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at	(revision cb523179ccdb9c245b65875c4a2b678c4ea59c1e)
@@ -20,5 +20,4 @@
 AT_SETUP([Geometry - plane to vector])
 AT_KEYWORDS([geometry plane-to-vector])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -32,5 +31,4 @@
 AT_SETUP([Geometry - plane to vector Undo])
 AT_KEYWORDS([geometry plane-to-vector undo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -43,5 +41,4 @@
 AT_SETUP([Geometry - plane to vector Redo])
 AT_KEYWORDS([geometry plane-to-vector undo redo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/pre/$file $file], 0, [ignore], [ignore])
Index: tests/regression/Geometry/PositionToVector/post/test.xyz
===================================================================
--- tests/regression/Geometry/PositionToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PositionToVector/post/test.xyz	(revision cb523179ccdb9c245b65875c4a2b678c4ea59c1e)
Index: tests/regression/Geometry/PositionToVector/testsuite-geometry-position-to-vector.at
===================================================================
--- tests/regression/Geometry/PositionToVector/testsuite-geometry-position-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PositionToVector/testsuite-geometry-position-to-vector.at	(revision cb523179ccdb9c245b65875c4a2b678c4ea59c1e)
@@ -20,5 +20,4 @@
 AT_SETUP([Geometry - position to vector])
 AT_KEYWORDS([geometry position-to-vector])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -26,5 +25,5 @@
 AT_CHECK([../../molecuilder -i $file -v 5 \
 	--select-atom-by-id 0 --position-to-vector "testvector" --unselect-all-atoms \
-	--select-atom-by-element C --translate-atoms "testvector"], 0, [ignore], [ignore])
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
@@ -32,5 +31,4 @@
 AT_SETUP([Geometry - position to vector Undo])
 AT_KEYWORDS([geometry position-to-vector undo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -38,10 +36,9 @@
 AT_CHECK([../../molecuilder -i $file \
 	--select-atom-by-id 0 --position-to-vector "testvector" --undo --unselect-all-atoms \
-	--select-atom-by-element C --translate-atoms "testvector"], 5, [ignore], [ignore])
+	--select-atom-by-element C --translate-atoms --position "testvector"], 5, [ignore], [ignore])
 AT_CLEANUP
 
 AT_SETUP([Geometry - position to vector Redo])
 AT_KEYWORDS([geometry position-to-vector undo redo])
-AT_XFAIL_IF([/bin/true])
 file=test.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/pre/$file $file], 0, [ignore], [ignore])
@@ -49,5 +46,5 @@
 AT_CHECK([../../molecuilder -i $file \
 	--select-atom-by-id 0 --position-to-vector "testvector" --undo --redo --unselect-all-atoms \
-	--select-atom-by-element C --translate-atoms "testvector"], 0, [ignore], [ignore])
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
